#!/bin/sh

UPNPSRV_CONF="$APKG_PKG_DIR/etc/upnpsrv.conf"
BACKUP_CONF="$APKG_TEMP_DIR/upnpsrv.conf"

# lib for our cgi.
$AS_LN -s $APKG_PKG_DIR/lib/libupnpsrv.so.0.0 $APKG_PKG_DIR/lib/libupnpsrv.so

# Check the status
case "$APKG_PKG_STATUS" in
	install)
		# Initialize the upnp-server configuration.
		$APKG_PKG_DIR/bin/upnpinit -install
		;;
	upgrade)
		# Restore the previous configuration.
		cp -af $BACKUP_CONF $UPNPSRV_CONF
		$APKG_PKG_DIR/bin/upnpinit -upgrade
		;;
	*)
		;;
esac

exit 0
